package com.cpop.core.base.enums;

import lombok.Getter;

/**
 * 用户类型
 * @author DB
 */
@Getter
public enum UserType {

    /**
     * oam系统员工
     */
    OAM_USER(0, "oam:loginUser:"),
    /**
     * 小程序用户
     */
    MINI_USER(1, "mini:loginUser:"),
    /**
     * 商城系统员工
     */
    MALL_USER(2, "mall:loginUser:");

    /**
     * code
     */
    private final Integer code;

    /**
     * redisKey
     */
    private final String key;

    UserType(Integer code, String key) {
        this.code = code;
        this.key = key;
    }

}
